Bug 1566315 - membarrier.2: Document membarrier(2) new syscall
Summary: membarrier.2: Document membarrier(2) new syscall
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: man-pages-overrides
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nikola Forró
QA Contact: Jan Houska
URL:
Whiteboard:
Depends On: 1560024
Blocks: 1592880
TreeView+ depends on / blocked
 
Reported: 2018-04-12 03:57 UTC by Rafael Aquini
Modified: 2018-10-30 11:35 UTC (History)
4 users (show)

Fixed In Version: man-pages-overrides-7.6.0-1.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-10-30 11:34:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3254 0 None None None 2018-10-30 11:35:39 UTC

Description Rafael Aquini 2018-04-12 03:57:31 UTC
Via bug 1560024 we're backporting the new system call MEMBARRIER(2), and as such its availability must be documented accordingly in the man pages.

Comment 7 Jan Houska 2018-08-17 12:30:04 UTC
VERIFIED

NEW PASS:
man-pages-overrides-7.6.1-3.el7

"""
# man  2 membarrier

MEMBARRIER(2)                                                                   Linux Programmer's Manual                                                                  MEMBARRIER(2)

NAME
       membarrier - issue memory barriers on a set of threads

SYNOPSIS
       #include <linux/membarrier.h>

       int membarrier(int cmd, int flags);

DESCRIPTION
       The  membarrier()  system call helps reducing the overhead of the memory barrier instructions required to order memory accesses on multi-core systems.  However, this system call
       is heavier than a memory barrier, so using it effectively is not as simple as replacing memory barriers with this system call, but requires understanding of the details below.
...
"""

OlD FAIL:
man-pages-overrides-7.5.2-1.el7  -- on RHEL-7.5-released

No output on man  2 membarrier present.

Comment 10 errata-xmlrpc 2018-10-30 11:34:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3254


Note You need to log in before you can comment on or make changes to this bug.